commit 241b8d0967f3104fd6f84816e6d8a349f4c06c05
Author: freddy77 <freddy77>
Date:   Fri May 22 17:33:35 2009 +0000

    fix genparams

diff --git a/ChangeLog b/ChangeLog
index 60f661c..fe54cc7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri May 22 19:33:28 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/sql2tds.c: fix genparams
+
 Thu May 21 23:58:34 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* TODO.freddy src/odbc/unittests/blob1.c: update notes
 
@@ -1573,4 +1576,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2795 2009/05/21 21:58:42 freddy77 Exp $
+$Id: ChangeLog,v 1.2796 2009/05/22 17:33:35 freddy77 Exp $
diff --git a/src/odbc/sql2tds.c b/src/odbc/sql2tds.c
index 65fe4bf..27e657c 100644
--- a/src/odbc/sql2tds.c
+++ b/src/odbc/sql2tds.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sql2tds.c,v 1.81 2009/05/20 16:34:52 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sql2tds.c,v 1.82 2009/05/22 17:33:36 freddy77 Exp $");
 
 static TDS_INT
 convert_datetime2server(int bindtype, const void *src, TDS_DATETIME * dt)
@@ -362,7 +362,7 @@ odbc_sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _dre
 	case SYBNVARCHAR:
 	case SYBNTEXT:
 	case SYBTEXT:
-		if (!need_data && (sql_src_type == SQL_C_CHAR || sql_src_type == SQL_C_WCHAR)) {
+		if (!need_data && (sql_src_type == SQL_C_CHAR || sql_src_type == SQL_C_WCHAR || sql_src_type == SQL_C_BINARY)) {
 			if (curcol->column_data && curcol->column_data_free)
 				curcol->column_data_free(curcol);
 			curcol->column_data_free = NULL;
@@ -390,6 +390,7 @@ odbc_sql2tds(TDS_STMT * stmt, const struct _drecord *drec_ipd, const struct _dre
 		return SQL_ERROR;
 	}
 
+	/* fill data with SQLPutData */
 	if (need_data) {
 		curcol->column_cur_size = 0;
 		return SQL_NEED_DATA;

